### Method

# WebKit WebView try_close

since: 2.12

#### Declaration [src]

    void
    webkit_web_view_try_close (
      WebKitWebView* web_view
    )

#### Description [src]

Tries to close the `web_view`.

This will fire the onbeforeunload event to ask the user for confirmation to close the page. If there isn’t an onbeforeunload event handler or the user confirms to close the page, the `WebKitWebView::close` signal is emitted, otherwise nothing happens.

Available since: 2.12